petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDSetBase

Sets the vector U at which matrix vector products of the Jacobian are computed

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetBase(Mat J,Vec U,Vec F)

Logically Collective on Mat Many br

### Input Parameters

| J | - the MatMFFD matrix Many br
| U | - the vector Many br
| F | - (optional) vector that contains F(u) if it has been already computed Many br

Notes: This is rarely used directly Many br

If F is provided then it is not recomputed. Otherwise the function is evaluated at the base Many brpoint during the first MatMult() after each call to MatMFFDSetBase(). Many br

Many br

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html